# i3_selectwindow.sh
Allows the user to jump directly to a window even if its on a different workspace or physical screen with a sample keybinding in the .i3/config

For example:
bindsym Mod1+Tab exec '/home/myuser/git/i3_selectwindow/i3_selectwindow.sh'

## Reqirements
It uses [sed](https://www.gnu.org/software/sed/), [grep](http://www.gnu.org/software/grep/), [i3-msg](https://i3wm.org/), [jq](https://github.com/stedolan/jq), [dmenu](https://i3wm.org/) and [bashisms](https://en.wikipedia.org/wiki/Bashism). So please make sure that you have them installed. For example with [apt](https://wiki.debian.org/Apt) for [debian](https://www.debian.org/)

## Configuration
The colours of the dmenu can be configured in the file i3_selectwindow.config and its the only purpose of that file.
It is stored in the same directory as the script is. You can also rename the i3_selectwindow.config_sample to i3_selectwindow.config and perform an your color changes.
This one is excluded from git that you do not get anoyed by changes in there.
```sh
cat i3_selectwindow.config_sample
dmsb="#1C1C1C"
dmsf="#000000"
dmnb="#000000"
dmnf="#FBFBFB"
```

## Usage
As its triggered by a keybinding you dont need to run it from the termianl.
But if yes, just run the script, there are no parameters and you will get only one output if you select something:
```bash
./i3_selectwindow.sh
[{"success":true}]
```

## .gitignore
```bash
cat .gitignore
*~
.*.sw?
.sw?
\#*\#
DEADJOE

/i3_selectwindow.config
```
